---
lang: en
title: 'API docs: apiconnect.apiconnectspecenhancer'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/apiconnect
permalink: /doc/en/lb4/apidocs.apiconnect.apiconnectspecenhancer.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/apiconnect](./apiconnect.md) &gt; [ApiConnectSpecEnhancer](./apiconnect.apiconnectspecenhancer.md)

## ApiConnectSpecEnhancer class

An OpenAPI spec enhancer to add `x-ibm-configuration` extension required by API Connect

**Signature:**

```typescript
export declare class ApiConnectSpecEnhancer implements OASEnhancer 
```
**Implements:** [OASEnhancer](./openapi-v3.oasenhancer.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(options, appMetadata)](./apiconnect.apiconnectspecenhancer._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `ApiConnectSpecEnhancer` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[name](./apiconnect.apiconnectspecenhancer.name.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[modifySpec(spec)](./apiconnect.apiconnectspecenhancer.modifyspec.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>

